FreeMat

- Main Page
- Related Pages

vtkQuadraturePointsGenerator

Section: Visualization Toolkit Graphics Classes

# Usage

Create a vtkPolyData on its output containing the vertices for the quadrature points for one of the vtkDataArrays present on its input vtkUnstructuredGrid. If the input data set has has FieldData generated by vtkQuadraturePointInterpolator then this will be set as point data. Note: Point sets are generated per field array. This is because each field array may contain its own dictionary.

.SECTION See also vtkQuadraturePointInterpolator, vtkQuadratureSchemeDefinition, vtkInformationQuadratureSchemeDefinitionVectorKey

To create an instance of class vtkQuadraturePointsGenerator, simply invoke its constructor as follows

      obj = vtkQuadraturePointsGenerator

# Methods

The class vtkQuadraturePointsGenerator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQuadraturePointsGenerator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQuadraturePointsGenerator = obj.NewInstance ()`
- `vtkQuadraturePointsGenerator = obj.SafeDownCast (vtkObject o)`